Subject: bug#58053: closed (Re: [bug#58053] [PATCH 1/1] gnu: Add emacs-cpreproc-openvdb.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 25 Sep 2022 13:19:01 +0000

Your bug report

#58053: [PATCH 0/1] Add emacs-cpreproc-houdini

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58053: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58053
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#58053] [PATCH 1/1] gnu: Add emacs-cpreproc-openvdb.
From: Nicolas Goaziou <[email-masked]>
To: Fredrik Salomonsson <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Sep 2022 15:18:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Fredrik Salomonsson <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-cpreproc-openvdb): New variable.

Thank you. I applied your patch.

> +   (synopsis "Create preprocessor macros for @code{C++} that uses @code{openvdb}.")
> +   (description
> +    "Aim for this project is to make it easier to generate preprocessor
> +macros from Emacs for @code{C++} code that uses @code{openvdb} and
> +needs to be build against multiple incompatible versions of it.")

Nitpick: I removed the, IMO, unnecessary Texinfo markup around C++ and
OpenVDB. I also removed the final full stop.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/1] Add emacs-cpreproc-houdini
From: Fredrik Salomonsson <[email-masked]>
To: [email-masked]
Cc: Fredrik Salomonsson <[email-masked]>
Date: Sun, 25 Sep 2022 00:04:15 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

A package that uses my emacs-cpreproc to make it easier to develop C++ code
that uses openvdb in Emacs.

Fredrik Salomonsson (1):
  gnu: Add emacs-cpreproc-openvdb.

 gnu/packages/emacs-xyz.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

base-commit: fc07082fe3d750c85282c4aa57d01a36ebe9296b
-- 
2.37.3